Package org.eclipse.cdt.core.dom

## Interface ICodeReaderFactory

    @Deprecated
    public interface ICodeReaderFactory

Deprecated.
replaced by `IncludeFileContentProvider`
This is the interface that an AST Service uses to delegate the construction of a CodeReader.

Restriction:
  This interface is not intended to be referenced by clients.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`CodeReader` `createCodeReaderForInclusion​(String path)` Deprecated. Create CodeReader for inclusion.
`CodeReader` `createCodeReaderForTranslationUnit​(String path)` Deprecated. Create CodeReader for translation unit
`ICodeReaderCache` `getCodeReaderCache()` Deprecated. Returns the ICodeReaderCache used for this ICodeReaderFacotry.
`int` `getUniqueIdentifier()` Deprecated.

### Method Detail

#### getUniqueIdentifier

    int getUniqueIdentifier()

Deprecated.

Returns:
  unique identifier as int

#### createCodeReaderForTranslationUnit

    CodeReader createCodeReaderForTranslationUnit​(String path)

Deprecated.
Create CodeReader for translation unit

Parameters:
  `path` - Canonical Path representing path location for file to be opened
Returns:
  CodeReader for contents at that path.

#### createCodeReaderForInclusion

    CodeReader createCodeReaderForInclusion​(String path)

Deprecated.
Create CodeReader for inclusion.

Parameters:
  `path` -
Returns:
  CodeReader for contents at that path.

#### getCodeReaderCache

    ICodeReaderCache getCodeReaderCache()

Deprecated.
Returns the ICodeReaderCache used for this ICodeReaderFacotry.

Returns:
  the ICodeReaderCache used for this ICodeReaderFacotry